FROM ubuntu:22.04
RUN apt-get update && apt-get install -y ca-certificates
COPY chemistry.list.2204 /etc/apt/sources.list.d/chemistry.list
COPY chemistry.gpg /etc/apt/trusted.gpg.d/chemistry.gpg
ENV TZ=Europe/London
RUN apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install -y \
python3 \
python3-nose \
python3-jinja2 \
python3-psycopg2 \
python3-chemaccmgmt \
python3-flask \
python3-wtforms \
python3-itsdangerous \
python3-sqlalchemy \
libjs-jquery \
libjs-jquery-ui \
python3-flaskext.wtf \
python3-pdfkit \
wkhtmltox
